Subject: Re: bug#54483: ‘guix system image’ chokes on host's /var

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 12 Aug 2022 16:33:55 +0200

Hey,

> However, fundamentally, ‘guix system image’ shouldn’t be reading
> /run/current-system/parameters because it has not use for it.
>
> Mathieu, do you happen to have an idea where to remove that
> ‘read-boot-parameters-file’ call?  :-)

Yes, that's because profile-boot-parameters was always evaluated in the
perform-action procedure of the (guix scripts system) module.

This has recently been fixed with
9d30cfa3372cccc847e75038d34c4ea5b8d8b241. Tobias, you can cherry-pick
this patch on top of 1.3.0 if you'd like to generate an old installer
image. I just managed to do so successfully :).

Closing this one,

Thanks,

Mathieu